package sav.example.javaz;
import sav.z.*;

import java.io.*;

public class UserAccessDemo {
  
  public static void main(String arg[]) throws IOException {
    Session ss = new Session();
    ss.setFailExcepted(true);
    User uguest = new User("guest", "111111");
    User ukrot = new User("krot", "krot01");
    
    ss.clearBase("MyPersonal");
//    ss.modifyBase("MyPersonal");
    int access = ss.login(uguest);
    System.out.println("0.ACCESS: " + User.role(access));
    
    ss.z("$User:'krot' ($Password:'krot01',$Role:'edit');");
    access = ss.login(uguest);
    System.out.println("1.ACCESS: " + User.role(access));

    access = ss.login(ukrot);
    System.out.println("2.ACCESS: " + User.role(access));
    
    ss.z("$User:'' ($Role:'read');");
    access = ss.login(uguest);
    System.out.println("3.ACCESS: " + User.role(access));

    Printer prt = new WPrinter(new PrintWriter(System.out));
    ss.setReportPrinter(prt);
    ss.z("$pr($User:)");
    prt.flush();
    ss.close();
    
    String path = ss.base().absolutePath();
    File f = new File(path);
    f.delete();
  }
}
